Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 438103 - Implement non-PXE boot methods using mkelfimage
Summary: Implement non-PXE boot methods using mkelfimage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ltsp
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-03-19 02:30 UTC by Warren Togami
Modified: 2008-12-30 02:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-30 02:36:29 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-03-19 02:30:05 UTC
Many older clients, or clients using non-PXE methods like LinuxBIOS or bootp
cannot use the standard kernel and initrd images.  The kernel and initrd must be
wrapped in a certain way to allow booting by these clients.  Debian/Ubuntu has
their own implementation using mkelfimage to support these clients that I need
to adapt in a Fedora way.

Some very older clients need an image wrapped with mknbi instead to be
supported, but it is currently not a priority for me to implement this.

Comment 1 Bug Zapper 2008-05-14 06:43:04 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Warren Togami 2008-08-11 04:53:37 UTC
Checked into ltsp-trunk and will be in the next ltsp update.


Note You need to log in before you can comment on or make changes to this bug.